/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generator.executable.rumblepad;

import org.fortiss.af3.platform.raspberry.model.rumblepad.R2_Position;

/** Executable for {@link R2_Position}. */
public class R2PositionExecutable extends StickExecutableBase<R2_Position> {
	/** Constructor. */
	public R2PositionExecutable(R2_Position modelElement) {
		super(modelElement);
	}

	/** {@inheritDoc} */
	@Override
	protected String getAxisIdentifier() {
		return "RUMBLEPAD_AXIS_R2";
	}
}
